Package com.io7m.jregions.core.unparameterized.sizes

# Class VolumeSizeF

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.VolumeSizeF

All Implemented Interfaces:
  `VolumeSizeFType`, `VolumeSizeValuesFType`

    public final class VolumeSizeF
    extends java.lang.Object
    implements VolumeSizeFType

The size of a volume with `float` coordinates.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `VolumeSizeF.Builder` | Builds instances of type `VolumeSizeF`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static VolumeSizeF.Builder` | `builder()` | Creates a builder for `VolumeSizeF`.
  `static VolumeSizeF` | `copyOf​(VolumeSizeFType instance)` | Creates an immutable copy of a `VolumeSizeFType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `VolumeSizeF` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
  `static VolumeSizeF` | `of​(float sizeX, float sizeY, float sizeZ)` | Construct a new immutable `VolumeSizeF` instance.
  `float` | `sizeX()` |
  `float` | `sizeY()` |
  `float` | `sizeZ()` |
  `java.lang.String` | `toString()` | Prints the immutable value `VolumeSizeF` with attribute values.
  `VolumeSizeF` | `withSizeX​(float value)` | Copy the current immutable object by setting a value for the `sizeX` attribute.
  `VolumeSizeF` | `withSizeY​(float value)` | Copy the current immutable object by setting a value for the `sizeY` attribute.
  `VolumeSizeF` | `withSizeZ​(float value)` | Copy the current immutable object by setting a value for the `sizeZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### sizeX

    public float sizeX()
    Specified by:
      `sizeX` in interface `VolumeSizeFType`
    Specified by:
      `sizeX` in interface `VolumeSizeValuesFType`
    Returns:
      The value of the `sizeX` attribute

  - ### sizeY

    public float sizeY()
    Specified by:
      `sizeY` in interface `VolumeSizeFType`
    Specified by:
      `sizeY` in interface `VolumeSizeValuesFType`
    Returns:
      The value of the `sizeY` attribute

  - ### sizeZ

    public float sizeZ()
    Specified by:
      `sizeZ` in interface `VolumeSizeFType`
    Specified by:
      `sizeZ` in interface `VolumeSizeValuesFType`
    Returns:
      The value of the `sizeZ` attribute

  - ### withSizeX

    public final VolumeSizeF withSizeX​(float value)
    Copy the current immutable object by setting a value for the `sizeX` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for sizeX
    Returns:
      A modified copy of the `this` object

  - ### withSizeY

    public final VolumeSizeF withSizeY​(float value)
    Copy the current immutable object by setting a value for the `sizeY` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for sizeY
    Returns:
      A modified copy of the `this` object

  - ### withSizeZ

    public final VolumeSizeF withSizeZ​(float value)
    Copy the current immutable object by setting a value for the `sizeZ` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for sizeZ
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `VolumeSizeF` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `VolumeSizeF` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static VolumeSizeF of​(float sizeX, float sizeY, float sizeZ)
    Construct a new immutable `VolumeSizeF` instance.
    Parameters:
      `sizeX` - The value for the `sizeX` attribute
      `sizeY` - The value for the `sizeY` attribute
      `sizeZ` - The value for the `sizeZ` attribute
    Returns:
      An immutable VolumeSizeF instance

  - ### copyOf

    public static VolumeSizeF copyOf​(VolumeSizeFType instance)
    Creates an immutable copy of a `VolumeSizeFType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable VolumeSizeF instance

  - ### builder

    public static VolumeSizeF.Builder builder()
    Creates a builder for `VolumeSizeF`.

         VolumeSizeF.builder()
            .setSizeX(float) // required sizeX
            .setSizeY(float) // required sizeY
            .setSizeZ(float) // required sizeZ
            .build();

    Returns:
      A new VolumeSizeF builder